Delete Media
POST
/api/delete
const url = 'https://example.com/api/delete';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/delete \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Delete generated files by relative path and remove their DB records.
An optional reason (a short note on why, up to 500 characters) is kept with the
deletion record on each file’s job.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Body
object
key
additional properties
any
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Delete Media Api Delete Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}